【Oracle】win7安装报错

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/imliuqun123/article/details/79960187


在WIN7上安装oracle 10g时,提示如下信息:

正在检查操作系统要求... 
要求的结果: 5.0,5.1,5.2,6.0 之一 
实际结果: 6.1 
检查完成。此次检查的总体结果为: 失败 <<<< 
问题: Oracle Database 10g 未在当前操作系统中经过认证。 
建议案: 确保在正确的平台上安装软件。

解决方法:

找到 refhost.xml 文件(位置:database/stage/prereq/db,打开 refhost.xml 配置文件并找到 <CERTIFIED_SYSTEMS> 节点,接着在节点后面添加,如下信息:

<VERSION VALUE="5.0"/>
      <SERVICE_PACK VALUE="1"/> 
    </OPERATING_SYSTEM>
    <OPERATING_SYSTEM>
      <VERSION VALUE="5.1"/>
      <SERVICE_PACK VALUE="1"/> 
    </OPERATING_SYSTEM>
    <OPERATING_SYSTEM>
      <VERSION VALUE="5.2"/>
    </OPERATING_SYSTEM>
    <!--Microsoft Windows Vista-->
    <OPERATING_SYSTEM>
      <VERSION VALUE="6.0"/>
    </OPERATING_SYSTEM>
    <!--Microsoft Windows 7--> 
    <OPERATING_SYSTEM> 
        <VERSION VALUE="6.1"/> 
       <SERVICE_PACK VALUE="1"/> 
    </OPERATING_SYSTEM> 

首先是在windows下找版本配置文件,找了一下没找到,于是就在oracle介质的解压后的目录找,

在oraparam.ini文件里找到
[Certified Versions]
#You can customise error message shown for failure, provide value for CERTIFIED_VERSION_FAILURE_MESSAGE
Windows=5.1,5.2                       --修改后,如果还是提示上文中图片的错误,将6.0,6.1,6.2都写入到该位置

于是修改为6.1,6.2,但是无法保存,因为是只读文件。

在其他地方建一个txt文件,将其内容复制过去,修改为6,1,6.2,在拷贝到install目录底下,将之前的oraparam.ini重命名,txt文件重命名为oraparam.ini。

再次执行执行setup.exe通过。

检查操作系统版本:必须是6.1 or 6.2,实际是6.1,通过。


oracle 10g 在win7下安装,选择高级选项,提示程序异常终止,发生未知错误 

解决办法:在setup上右键,属性->兼容性->以兼容模式运行这个程序 windows xp( service pack 3),以管理员身份运行安装就解决了。 --如果没有xp系统的兼容的话,选择win2008也可以的

阅读更多

没有更多推荐了,返回首页